[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] Disable libxl build in RPM on Fedora < 16



Eric Blake wrote:
> On 03/18/2011 11:36 AM, Jim Fehlig wrote:
>   
>> Daniel P. Berrange wrote:
>>     
>>> The xen RPM in Fedora isn't new enough to support libxl builds
>>> yet. Disable it until Fedora 16
>>>
>>> Q: What actually is the min required Xen ? Is xen 4.0.1
>>> in fact sufficient ? If so I'll change this to s/16/15/
>>>   
>>>       
>> Xen 4.0.x contains some "tech preview" libxenlight bits, but it is buggy
>> and missing quite a bit of functionality. Xen 4.1.0 is the first release
>> with a usable libxenlight IMO. Also, the API changed quite a bit between
>> Xen 4.0 and 4.1 and I have not attempted to make the libxl driver work
>> with the preview libxenlight.
>>     
>
> Can we enhance the configure test (when there is no explicit
> --with-libxl) to reject the 4.0.x library, by requiring linking with a
> function that only exists in 4.1?
>   

Yep, good suggestion.  I'll put together a patch later today.

Thanks,
Jim


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]